Skip to main content
GET
/
events
List project events
curl --request GET \
  --url https://api.kapso.ai/platform/v1/events \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.kapso.ai/platform/v1/events"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.kapso.ai/platform/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "990e8400-e29b-41d4-a716-446655440004",
      "name": "conversation.csat_scored",
      "occurred_at": "2026-06-27T14:30:00Z",
      "conversation_id": "770e8400-e29b-41d4-a716-446655440002",
      "properties": {
        "score": 4,
        "reason": "Issue resolved in one reply"
      }
    }
  ],
  "paging": {
    "cursors": {
      "before": null,
      "after": null
    },
    "next": null,
    "previous": null
  }
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Authorizations

X-API-Key
string
header
required

Query Parameters

name
string

Filter by event name.

conversation_id
string<uuid>

Filter by linked WhatsApp conversation ID.

occurred_after
string<date-time>

Only return events at or after this timestamp.

occurred_before
string<date-time>

Only return events at or before this timestamp.

limit
integer
default:20

Maximum number of results per cursor-paginated page (default 20, max 100).

Required range: 1 <= x <= 100
before
string

Cursor for the previous page (Base64 encoded).

after
string

Cursor for the next page (Base64 encoded).

Response

Success

data
object[]
required
meta
object
paging
object